# exceptions

exception polyfactory.exceptions.FactoryException

  Bases: `Exception`

  Base Factory error class

exception polyfactory.exceptions.ConfigurationException

  Bases: `FactoryException`

  Configuration Error class - used for misconfiguration

exception polyfactory.exceptions.ParameterException

  Bases: `FactoryException`

  Parameter exception - used when wrong parameters are used

exception polyfactory.exceptions.MissingBuildKwargException

  Bases: `FactoryException`

  Missing Build Kwarg exception - used when a required build kwarg is not provided

exception polyfactory.exceptions.MissingDependencyException

  Bases: `FactoryException`, `ImportError`

  Missing dependency exception - used when a dependency is not installed